% Gauss - Seidel
N = 6; % número iteraciones
A = [5,2,1; -3,6,1; 2,3,5];
b = [10; 6; 20];
n = size(A,1) % dimensión

x = zeros(n,1);

for k = 1:N
    for i = 1:n
        x(i)= (b(i) - A(i,1:i-1)*x(1:i-1) - A(i,i+1:n)*x(i+1:n))/A(i,i);
    end
end
disp(x)
